'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './rulepop.less';
import store from '@/store/store';
import { ModalCtrl } from '@/core/ctrls/ModalCtrl';

@observer
class Rulepop extends React.Component {
  constructor(props) {
    super(props);
  }
  componentDidMount() {
    store.initRule();
  }

  close = () => {
    ModalCtrl.closeModal();
  };
  render() {
    return (
      <div className="rulepop modal_center">
        <span className="close" onClick={this.close}></span>
        <span className="bg"></span>
        <span className="ruletxt" dangerouslySetInnerHTML={{
          __html: store.ruleInfo,
        }}>
        </span>
      </div>
    );
  }
}
export default Rulepop;
